summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-08-20 19:51:57 +0300
committerMart Raudsepp <leio@gentoo.org>2018-08-20 19:52:42 +0300
commitd1edcc424c04a62d7412f9acf027f90b6728a7b5 (patch)
tree9df22dd8f749d12c365c92fcbf364103671dec31
parentnet-misc/rdesktop: openssl 1.1 support and EAPI bump (diff)
downloadgentoo-d1edcc424c04a62d7412f9acf027f90b6728a7b5.tar.gz
gentoo-d1edcc424c04a62d7412f9acf027f90b6728a7b5.tar.bz2
gentoo-d1edcc424c04a62d7412f9acf027f90b6728a7b5.zip
x11-libs/pango: bump to 1.42.4
Bug: https://bugs.gentoo.org/664108 Package-Manager: Portage-2.3.47, Repoman-2.3.10
-rw-r--r--x11-libs/pango/Manifest1
-rw-r--r--x11-libs/pango/files/1.42.4-pango-view.1.in113
-rw-r--r--x11-libs/pango/pango-1.42.4.ebuild65
3 files changed, 179 insertions, 0 deletions
diff --git a/x11-libs/pango/Manifest b/x11-libs/pango/Manifest
index 6d0e507a007..031af06a9ed 100644
--- a/x11-libs/pango/Manifest
+++ b/x11-libs/pango/Manifest
@@ -1,3 +1,4 @@
DIST pango-1.40.14.tar.xz 858388 BLAKE2B 1afcff08c38aa59ec57cdf43aa503e70a8c03b7d59c730060c9e3537f78ffe9a63e3aa1cb74ce9ce8d72541b5a5be8becb951f665f4663b108114686c41452c8 SHA512 35ba7bc8be3992f206ccc2cc5aca0b94e2a3832f887fc9c45b0e29fddcb9051ce05a74377de0ca4ff95a87983b15688fa5d379d592faf87aa8eaca25ac18b7ea
DIST pango-1.42.0.tar.xz 824984 BLAKE2B 2ea7b5d0d95c91b61ad8f841e75d7431f405ba1c1a01acef52364d3143c4e99f6ba66d03b52e7e94d4074edc7a116e4c9ffa16b7538851a82ec0b638c8f83f05 SHA512 32f621f7af65102ddf7f5ad949c1a9da9a559259255de42a6c0e7992b8692088f6701a4e11558c4243edc881cb8907defd6712f4c2bfca4bcadfe1cb5009b59f
DIST pango-1.42.3.tar.xz 833264 BLAKE2B 8a830ececa1709003222a407c2043474bbcc3599cc6e475f6531f25857b08998650b1c4148846e5f4830961fbe6a50872c5c50b3b9d6c980fad3b78a21ef7a78 SHA512 339069d299f5fb2dd9652da0c7126e498aeba58351906038ac0e9d225082feddfd5e477d3f205d89106b2ce696ec480c727faca0e49ca7a5d1c38e7dcb4f0e91
+DIST pango-1.42.4.tar.xz 833876 BLAKE2B 7de1094a29750b9e59ea1e5c92644fa5d6b835828d027963a53cce3f204ee1ea0042ec492e209de9136f05ca131ccda959bc477d4f6e9c72e5f620ddf4235f26 SHA512 993e97f647eba0c5ed90bcfcb8228bf67fa3f20b1f4331e4e40a30788d7c3ac55eee1209471bf21df125cb8fc6121acc8062a9da2f8a7d6cbe8e9ad13a9320dc
diff --git a/x11-libs/pango/files/1.42.4-pango-view.1.in b/x11-libs/pango/files/1.42.4-pango-view.1.in
new file mode 100644
index 00000000000..0b6f07a90d3
--- /dev/null
+++ b/x11-libs/pango/files/1.42.4-pango-view.1.in
@@ -0,0 +1,113 @@
+.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.47.6.
+.TH PANGO-VIEW "1" "August 2018" "pango-view (pango) 1.42.4" "User Commands"
+.SH NAME
+pango-view \- Pango text viewer
+.SH DESCRIPTION
+.SS "Usage:"
+.IP
+pango\-view [OPTION?] \- FILE
+.SS "Help Options:"
+.TP
+\fB\-h\fR, \fB\-\-help\fR
+Show help options
+.TP
+\fB\-\-help\-all\fR
+Show all help options
+.TP
+\fB\-\-help\-cairo\fR
+Options understood by the cairo backend
+.SS "Cairo backend options:"
+.TP
+\fB\-\-annotate\fR=\fI\,1\/\fR or 2
+Annotate the output
+.SS "Application Options:"
+.TP
+\fB\-\-no\-auto\-dir\fR
+No layout direction according to contents
+.TP
+\fB\-\-backend\fR=\fI\,cairo\/\fR/xft/ft2
+Pango backend to use for rendering (default: cairo)
+.TP
+\fB\-\-background\fR=\fI\,red\/\fR/#rrggbb/#rrggbbaa/transparent
+Set the background color
+.TP
+\fB\-q\fR, \fB\-\-no\-display\fR
+Do not display (just write to file or whatever)
+.TP
+\fB\-\-dpi\fR=\fI\,number\/\fR
+Set the resolution
+.TP
+\fB\-\-align\fR=\fI\,left\/\fR/center/right
+Text alignment
+.TP
+\fB\-\-ellipsize\fR=\fI\,start\/\fR/middle/end
+Ellipsization mode
+.TP
+\fB\-\-font\fR=\fI\,description\/\fR
+Set the font description
+.TP
+\fB\-\-foreground\fR=\fI\,red\/\fR/#rrggbb/#rrggbbaa
+Set the text color
+.TP
+\fB\-\-gravity\fR=\fI\,south\/\fR/east/north/west/auto
+Base gravity: glyph rotation
+.TP
+\fB\-\-gravity\-hint\fR=\fI\,natural\/\fR/strong/line
+Gravity hint
+.TP
+\fB\-\-header\fR
+Display the options in the output
+.TP
+\fB\-\-height=\fR+points/\-numlines
+Height in points (positive) or number of lines (negative) for ellipsizing
+.TP
+\fB\-\-hinting\fR=\fI\,none\/\fR/auto/full
+Hinting style
+.TP
+\fB\-\-indent\fR=\fI\,points\/\fR
+Width in points to indent paragraphs
+.TP
+\fB\-\-justify\fR
+Align paragraph lines to be justified
+.TP
+\fB\-\-language\fR=\fI\,en_US\/\fR/etc
+Language to use for font selection
+.TP
+\fB\-\-margin\fR=\fI\,CSS\-style\/\fR numbers in pixels
+Set the margin on the output in pixels
+.TP
+\fB\-\-markup\fR
+Interpret text as Pango markup
+.TP
+\fB\-o\fR, \fB\-\-output\fR=\fI\,file\/\fR
+Save rendered image to output file
+.TP
+\fB\-\-pixels\fR
+Use pixel units instead of points (sets dpi to 72)
+.TP
+\fB\-\-rtl\fR
+Set base direction to right\-to\-left
+.TP
+\fB\-\-rotate\fR=\fI\,degrees\/\fR
+Angle at which to rotate results
+.TP
+\fB\-n\fR, \fB\-\-runs\fR=\fI\,integer\/\fR
+Run Pango layout engine this many times
+.TP
+\fB\-\-single\-par\fR
+Enable single\-paragraph mode
+.TP
+\fB\-t\fR, \fB\-\-text\fR=\fI\,string\/\fR
+Text to display (instead of a file)
+.TP
+\fB\-\-version\fR
+Show version numbers
+.TP
+\fB\-\-waterfall\fR
+Create a waterfall display
+.TP
+\fB\-w\fR, \fB\-\-width\fR=\fI\,points\/\fR
+Width in points to which to wrap lines or ellipsize
+.TP
+\fB\-\-wrap\fR=\fI\,word\/\fR/char/word\-char
+Text wrapping mode (needs a width to be set)
diff --git a/x11-libs/pango/pango-1.42.4.ebuild b/x11-libs/pango/pango-1.42.4.ebuild
new file mode 100644
index 00000000000..83fda4ac8c3
--- /dev/null
+++ b/x11-libs/pango/pango-1.42.4.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 multilib-minimal toolchain-funcs
+
+DESCRIPTION="Internationalized text layout and rendering library"
+HOMEPAGE="http://www.pango.org/"
+
+LICENSE="LGPL-2+ FTL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="X +introspection test"
+
+RDEPEND="
+ >=media-libs/harfbuzz-1.4.2:=[glib(+),truetype(+),${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+ >=media-libs/fontconfig-2.12.92:1.0=[${MULTILIB_USEDEP}]
+ >=media-libs/freetype-2.5.0.1:2=[${MULTILIB_USEDEP}]
+ >=x11-libs/cairo-1.12.14-r4:=[X?,${MULTILIB_USEDEP}]
+ >=dev-libs/fribidi-0.19.7[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+ X? (
+ >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.20
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+ test? ( media-fonts/cantarell )
+ X? ( x11-base/xorg-proto )
+ !<=sys-devel/autoconf-2.63:2.5
+"
+
+src_prepare() {
+ default
+ # This should be updated if next release fails to pre-generate the manpage as well, or src_prepare removed if is properly generated
+ # https://gitlab.gnome.org/GNOME/pango/issues/270
+ cp -v "${FILESDIR}"/${PV}-pango-view.1.in "${S}/utils/pango-view.1.in" || die
+}
+
+multilib_src_configure() {
+ tc-export CXX
+
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --with-cairo \
+ $(multilib_native_use_enable introspection) \
+ $(use_with X xft) \
+ "$(usex X --x-includes="${EPREFIX}/usr/include" "")" \
+ "$(usex X --x-libraries="${EPREFIX}/usr/$(get_libdir)" "")"
+
+ if multilib_is_native_abi; then
+ ln -s "${S}"/docs/html docs/html || die
+ fi
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}